/***************************************************************************/
/*                                                                         */
/*     Comet.c :    uÓVwvLڂ̕@ɂaʒu\vZ           */
/*      Ver. 1.0    1999/06/26          By   takesako@mrj.biglobe.ne.jp    */
/*                                           (c) Shinobu Takesako          */
/***************************************************************************/

#include <stdio.h>
#include <math.h>

#include "astro.h"

void main(void)
{
     double year, month, day, hour, jd, Day;
	 double ra,dec;
/* +1759 Halley */ /*uÓVwvXSy[W*/
	 Comet_Para.CometName=" +1759 Halley ";
     Comet_Para.Epo=2363592.551999;
	 Comet_Para.T  =2363592.551999;
	 Comet_Para.Mu=0.01281135;
	 Comet_Para.Ax=18.0884;
	 Comet_Para.Ec=0.967702;
	 Comet_Para.Omg=53.7987;
	 Comet_Para.Somg=110.6158;
	 Comet_Para.Inc=162.3579;
	 Comet_Para.Equ = 1759.0;
	 Comet_Para.G0 = 5.7;/*Halley*/
	 Comet_Para.Ne = 4.6;/*Halley*/

	 printf("\n Comet: %s\n",Comet_Para.CometName);
	 Calendar( Comet_Para.T, &year,&month,&day,&hour,0,0);
	 printf  (" T    = %2.0f/%2.0f/%2.0f   H=%4.2f   \n",year,month, day, hour );
	 printf  (" Omg  = %10.6f            Ax = %10.6f \n",Comet_Para.Omg,Comet_Para.Ax);
	 printf  (" Somg = %10.6f            Ec = %10.6f \n",Comet_Para.Somg,Comet_Para.Ec);
	 printf  (" Inc  = %10.6f  %5.1f                 \n",Comet_Para.Inc,Comet_Para.Equ);
	 printf  (" Go   = %10.1f                        \n",Comet_Para.G0);
	 printf  (" Ne   = %10.1f                        \n",Comet_Para.Ne);
	 
	 printf("\n  DAY    Date     Hour    Ra    Dec   delta    r    elong   phase  Vm \n");

	 for (Day = -90.0; Day<=90.0; Day=Day+15.0) {	
	 jd=Comet_Para.T  +Day;
/*	 jd=floor(jd)+0.5+1.0-1;*/
	 Comet_Position( jd , &Comet, Comet_Para);
	 Calendar( jd, &year,&month,&day,&hour,0,0);
     Precession ( jd, Comet_Para.Equ, Comet.ra,Comet.dec,0,0,&ra, &dec);
/*	 ra = DegToHMS(ra);
	 dec=DegToDMS(dec);*/
   	 printf("%5.0f %5.0f/%2.0f/%2.0f %4.2f %6.2f %6.2f %6.3f %6.3f %6.1f %6.1f %6.2f \n", Day,year,month,day,hour,ra,dec,Comet.d,Comet.r,Comet.elong,Comet.phase,Comet.br);
	 }

	 }

/***************************************************************************/
/*@ȉ͜af[^̗                                                   */
/***************************************************************************/


/* +1759 Halley */ /*uÓVwvXSy[W*/
/*
	 Comet_Para.CometName=" +1759 Halley ";
     Comet_Para.Epo=2363592.551999;
	 Comet_Para.T  =2363592.551999;
	 Comet_Para.Mu=0.01281135;
	 Comet_Para.Ax=18.0884;
	 Comet_Para.Ec=0.967702;
	 Comet_Para.Omg=53.7987;
	 Comet_Para.Somg=110.6158;
	 Comet_Para.Inc=162.3579;
	 Comet_Para.Equ = 1759.0;
	 Comet_Para.G0 = 5.7;
	 Comet_Para.Ne = 4.6;
*/
/* +1986 Halley */ 
/*
	 Comet_Para.CometName=" +1986 Halley ";
     Comet_Para.Epo=JD(1986,2,9,15.8712   ,0,0);
	 Comet_Para.T  =Comet_Para.Epo;
	 Comet_Para.Mu=0.01281135;
	 Comet_Para.Ax=17.935906;
	 Comet_Para.Ec=0.967267;
	 Comet_Para.Omg=58.1531;
	 Comet_Para.Somg=111.8534;
	 Comet_Para.Inc=162.2378;
	 Comet_Para.Equ = 1950.0;
	 Comet_Para.G0 = 5.7;
	 Comet_Para.Ne = 4.6;
*/
/* +1999 Tempel2 */ /*uVϑN\fXXvPVOy[W*/
/*
	 Comet_Para.CometName=" +1999 Tempel2 ";
     Comet_Para.Epo=JD(1999,9,8,10.0944,0,0);
	 Comet_Para.T  =Comet_Para.Epo;
	 Comet_Para.Ax=1.48168/(1-0.522817);
	 Comet_Para.Ec=0.522817;
	 Comet_Para.Omg=118.2114;
	 Comet_Para.Somg=195.0229;
	 Comet_Para.Inc=11.9766;
	 Comet_Para.Equ = 2000.0;
	 Comet_Para.G0 = 5.7;
	 Comet_Para.Ne = 4.6;
*//*x͕֋XIɃn[agp*/

/* -239 Halley */ /*uÓVwvXVy[W*/
/*
	 Comet_Para.CometName=" -239 Halley ";
	 Comet_Para.Epo=1633907.61796;
	 Comet_Para.T  =1633907.61796;
	 Comet_Para.Ax=0.5853647/(1-0.9675871);
	 Comet_Para.Ec=0.9675871;
	 Comet_Para.Omg=30.09811;
	 Comet_Para.Somg=88.09919;
	 Comet_Para.Inc=163.46207;
	 Comet_Para.Equ = 1950.0;
	 Comet_Para.Ne = 4.6;
*/

/* +684 Halley */ /*ǔËL^vPQTy[W*/
/*
	 Comet_Para.CometName=" +684 Halley ";
     Comet_Para.Epo=JD(684,9,29, 0.0   ,0,0);
	 Comet_Para.T  =JD(684,10,2,18.408 ,0,0);
	 Comet_Para.Ax=0.57958/(1-0.96815);
	 Comet_Para.Ec=0.9675871;
	 Comet_Para.Omg=43.800;
	 Comet_Para.Somg=99.149;
	 Comet_Para.Inc=163.418;
	 Comet_Para.Equ = 2000.0;
	 Comet_Para.G0 = 5.7;
	 Comet_Para.Ne = 4.6;
*/
/* 433 Eros */ /* Astronomical Formula for Caluculator page 129*/
/*
	 Comet_Para.CometName=" 433 Eros ";
     Comet_Para.Epo = JD(1975,1,28, 0.0   ,0,0);
     Comet_Para.T   = JD(1975,1,24,16.9080,0,0);
	 Comet_Para.Ax  = 1.4579641;
	 Comet_Para.Ec  = 0.2227021;
	 Comet_Para.Omg = 303.83085;
	 Comet_Para.Somg= 178.44991;
	 Comet_Para.Inc = 10.82772;
	 Comet_Para.Equ = 1950.0;
	 Comet_Para.G0 = 5.7;
	 Comet_Para.Ne = 4.6;
*//*x͕֋XIɃn[agp*/

/* +1744 Klinkenberg */ /*uÓVwvPOOy[W*/
/*
	 Comet_Para.CometName=" +1744 Klinkenberg ";
     Comet_Para.Epo=JD(1744,3,1, 10.687  ,0,0);
	 Comet_Para.T  =Comet_Para.Epo;
	 Comet_Para.Ec=1.0;
	 Comet_Para.Omg=45.67;
	 Comet_Para.Somg=151.48;
	 Comet_Para.Inc=47.14;
	 Comet_Para.Equ = 1744.0;
	 Comet_Para.Qq=0.2222;
	 Comet_Para.G0 = 5.7;
	 Comet_Para.Ne = 4.6;
*//*x͕֋XIɃn[agp*/
/***************************************************************************/
