/***************************************************************************/
/*                                                                         */
/*     Ephemerides.c :    uÓVwvLڂ̕@ɂV̈ʒu\vZ     */
/*      Ver. 1.0    1999/06/26          By   takesako@mrj.biglobe.ne.jp    */
/*                                           (c) Shinobu Takesako          */
/***************************************************************************/

#include <stdio.h>
#include <math.h>

#include "astro.h"

void main(void)
{
     double date,year, month, day, hour, jd, latitude, longitude,az,el;
	 double ra,dec;
	 int    Pl,Loop=0;

	 const char *Pl_Name[12] = {"Sun    ", "Mercury", "Venus  ", "Moon   ",
	"Mars   ", "Jupiter",       "Saturn "};

	 while(Loop==0){     
	 printf("\n");
	 printf("Date(YYYY.MMDD): "); scanf("%lf",&date);
	 printf("Hour(  HH.MMSS): "); scanf("%lf",&hour);
	 printf("Lat.(  DD.MMSS): "); scanf("%lf",&latitude);
	 printf("Lon.(  DD.MMSS): "); scanf("%lf",&longitude);

	 DateToYMD( date, &year, &month, &day);
	 hour=HMSToHour(hour);
	 latitude =DMSToDeg(latitude);
	 longitude=DMSToDeg(longitude);
     /* klsłicvZikrsKvȏꍇ̊֐01ɗvύXj */
     jd=JD(year,month,day,hour,0,longitude);

	 printf("\n Planetary Position on %5.0f/%2.0f/%2.0f: H %2.4f : JD= %.6f\n LAT. :%10.5f DEG. LON. :%10.5f DEG.\n", year,month,day,hour,jd,latitude,longitude);
   	 printf("\n Planets       Lam      Bet   Vm/Ph   SS      Ra(H.M)  Dec(D.M)  EL     Az  \n");

	 Sun_Position ( jd, &Sun);
     Az_El( jd,Sun.ra,Sun.dec , latitude,longitude,&az, &el );
     ra = DegToHMS( Sun.ra);
     dec= DegToDMS( Sun.dec);

   	 printf(" %s     %8.2f %6.2f %6.2f %7.4f %8.2f %8.2f  %6.1f %6.1f \n", Pl_Name[0],Sun.lam,Sun.bet,Sun.br,Sun.ss,ra,dec,el,az);

	 for (Pl = 1 ; Pl<=6; Pl++) {
	 if (Pl==3){
		Moon_Position ( jd, &Moon, 0,latitude, longitude);
        ra = DegToHMS( Moon.ra);
        dec= DegToDMS( Moon.dec);
    	printf(" %s     %8.2f %6.2f %6.2f %7.4f %8.2f %8.2f \n", Pl_Name[3],Moon.lam,Moon.bet,Moon.br,Moon.ss,ra,dec);
		Moon_Position ( jd, &Moon, 1,latitude, longitude);
 		Az_El( jd,Moon.ra,Moon.dec , latitude,longitude,&az, &el );
        ra = DegToHMS( Moon.ra);
        dec= DegToDMS( Moon.dec);
    	printf(" %s     %8.2f %6.2f %6.2f %7.4f %8.2f %8.2f  %6.1f %6.1f\n", Pl_Name[3],Moon.lam,Moon.bet,Moon.br,Moon.ss,ra,dec,el,az);
		}
	  else
    	{Planet_Position ( Pl, jd, &Planet);
  		Az_El( jd,Planet.ra,Planet.dec , latitude,longitude,&az, &el );
        ra = DegToHMS( Planet.ra);
        dec= DegToDMS( Planet.dec);
	   	printf(" %s     %8.2f %6.2f %6.2f %7.4f %8.2f %8.2f  %6.1f %6.1f \n", Pl_Name[Pl],Planet.lam,Planet.bet,Planet.br,Planet.ss,ra,dec,el,az);
		}
		};
	 printf("\n");
	 printf("Continue? :  if yes , please input 0 : "); scanf("%d",&Loop);

	 };

	 }

